commit 87872da3f1b2e4f7028845d56aac00e926b5c263
Author: Milan Horínek <horinek@milanfon.cz>
Date:   Sat May 13 14:08:36 2023 +0200

    Funkční skipping

diff --git a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
index 2093f5e8c..ab7b9dcd5 100644
--- a/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
+++ b/workdir/Asociace/Assets/Scripts/_Template/TaskMainCamera.cs
@@ -313,10 +313,9 @@ namespace Ui.MainCameras
             {
                 timeBar.End();
             }
-            else
+            else if (timeBar.mode == TimeBarMode.EXAMINING)
             {
-                // Show the skip dialog.
-                PopupBox.ShowSkipDialog(clickId);
+                timeBar.End();
             }
         }
 
@@ -470,9 +469,9 @@ namespace Ui.MainCameras
 
         public void ExaminingPhase(bool firstCall = false)
         {
+            SetExaminingPhase();
             if (firstCall)
             {
-                SetExaminingPhase();
                 DataCollector.Instance.currentPairIndex = 0;
             }
             else
@@ -510,7 +509,18 @@ namespace Ui.MainCameras
         {
             Examining.SetActive(show);
             TextObjects.SetActive(show);
-            timeBar.SetMode(show ? TimeBarMode.EXAMINING : TimeBarMode.NONE);
+            SetSkipButtonText(ConfigFiles.Inputs.Skip.ToString());
+        }
+
+        private void SetSkipButtonText(string text)
+        {
+            @continue.transform.GetChild(1).GetComponent<TMPro.TMP_Text>().text = text;
+        }
+
+        private void SetWaitingPhase()
+        {
+            timeBar.WaitingPhase();
+            SetSkipButtonText(ConfigFiles.Inputs.Continue.ToString());
         }
 
         public void OnOptionClick(GameObject sender)
@@ -524,8 +534,7 @@ namespace Ui.MainCameras
             if (correct)
             {
                 a.SetTrigger(Constants.CORRECT_OPTION_BUTTON_ANIM);
-                timeBar.WaitingPhase();
-                @continue.transform.GetChild(1).GetComponent<TMPro.TMP_Text>().text = "Pokračovat"; //TODO Tohle není ideální, nějaká fce pro switching a jazyky
+                SetWaitingPhase();
                 IsCorrect(cv);
                 DisableAllButtons();
             }
